Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4413 closed enhancement (fixed)

Allow pthread_cancel() from within interrupt context

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: rtems Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

The pthread_cancel() does not immediately delete resources if invoked for threads other than the executing thread. With minor changes it may be called also from within interrupt context.

Change History (3)

comment:1 Changed on 05/14/21 at 16:35:56 by Sebastian Huber

Description: modified (diff)
Summary: Allow rtems_task_delete() and pthread_cancel() from within interrupt contextAllow pthread_cancel() from within interrupt context

comment:2 Changed on 05/26/21 at 12:41:20 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"29187be532c7d6c7b81f2e7def132bbfba7c916c/rtems" 29187be/rtems]:

posix: Allow pthread_cancel() from within ISRs

Close #4413.

comment:3 Changed on 06/23/21 at 07:07:55 by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.